Show / Hide Table of Contents

# Class OpenIddictValidationSystemNetHttpHandlers.PrepareGetHttpRequest<TContext>

Contains the logic responsible of preparing an HTTP GET request message.

##### Inheritance

System.Object
OpenIddictValidationSystemNetHttpHandlers.PrepareGetHttpRequest<TContext>

##### Implements

IOpenIddictValidationHandler<TContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation.SystemNetHttp

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class PrepareGetHttpRequest<TContext> : IOpenIddictValidationHandler<TContext> where TContext : OpenIddictValidationEvents.BaseExternalContext

##### Type Parameters

Name | Description
--- | ---
TContext |

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictValidationHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictValidationHandlerDescriptor |

### Methods

#### HandleAsync(TContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(TContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
TContext | context | The context associated with the event to process.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.ValueTask | A System.Threading.Tasks.ValueTask that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictValidationHandler<TContext>